Summary: StartCom specific rpm configuration files.
Name: startcom-rpm-config
Version: 8.0.45
Release: 32%{?dist}
License: GPL
Group: Development/System
Source: startcom-rpm-config-%{version}.tar.gz
Source1: brp-java-repack-jars
Source2: kmodtool
Patch0: startcom-rpm-config-java.patch
Patch1: startcom-rpm-config-find-requires.patch
Patch2: startcom-rpm-config-kmp.patch
Patch3: startcom-rpm-config-find-provides.patch
Patch4: startcom-rpm-config-find-provides-firmware.patch
Patch5: startcom-rpm-config-pkgconfig.patch
Patch6: startcom-rpm-config-fix-kernel_module_package-v-r-options.patch
BuildArch: noarch
#Requires: rpmbuild(VendorConfig) <= 4.1
#Requires: mktemp
BuildRoot: %{_tmppath}/%{name}-root
# rpmrc passes -mtune which first appeared in gcc 3.4
%ifarch i386 i686 sparc
Conflicts: gcc < 3.4
%endif

%description
Startcom specific rpm configuration files.

%prep

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/lib/rpm
( cd ${RPM_BUILD_ROOT}%{_prefix}/lib/rpm; tar xzf %{SOURCE0}; mv %{name}-%{version} startcom; rm -f startcom/*.spec )

# fix perms of config.{guess,sub}
chmod a+x ${RPM_BUILD_ROOT}%{_prefix}/lib/rpm/startcom/config.{guess,sub}

(cd ${RPM_BUILD_ROOT}%{_prefix}/lib/rpm/startcom ; patch -p1 -i %{PATCH0})
(cd ${RPM_BUILD_ROOT}%{_prefix}/lib/rpm/startcom ; patch -p1 -i %{PATCH1})
(cd ${RPM_BUILD_ROOT}%{_prefix}/lib/rpm/startcom ; patch -p1 -i %{PATCH2})
(cd ${RPM_BUILD_ROOT}%{_prefix}/lib/rpm/startcom ; patch -p1 -i %{PATCH3})
(cd ${RPM_BUILD_ROOT}%{_prefix}/lib/rpm/startcom ; patch -p1 -i %{PATCH4})
(cd ${RPM_BUILD_ROOT}%{_prefix}/lib/rpm/startcom ; patch -p1 -i %{PATCH5})
(cd ${RPM_BUILD_ROOT}%{_prefix}/lib/rpm/startcom ; patch -p1 -i %{PATCH6})
install -m 755 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_prefix}/lib/rpm/startcom/
install -m 755 %{SOURCE2} ${RPM_BUILD_ROOT}/%{_prefix}/lib/rpm/startcom/
chmod 0755 ${RPM_BUILD_ROOT}/%{_prefix}/lib/rpm/startcom/find-provides.d/*.prov

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_prefix}/lib/rpm/startcom

%changelog
* Wed Jun 17 2009 Anatoly Metetes <anatolym@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Mon Jun 08 2009 Jon Masters <jcm@redhat.com> - 8.0.45-32
- Ignore find error output, it's just a simple non-NULL directory test.
- Related: #219706.

* Wed May 13 2009 Jon Masters <jcm@redhat.com> - 8.0.45-31
- Ensure permissions are correct on repacked JAR files (#219706)
- Resolves: #219706.

* Wed Dec 10 2008 Jon Masters <jcm@redhat.com> - 8.0.45-29
- Correct a file search to ignore directories inside kmodtool
- Resolves: #470591.

* Tue Nov 18 2008 Jon Masters <jcm@redhat.com> - 8.0.45-28
- Remove dependency on /lib/firmware in Driver Update packages. Those who
  need to ship firmware files should use an override filelist instead.
- Resolves: #252188.

* Thu Sep 18 2008 Jon Masters <jcm@redhat.com> - 8.0.45-27
- Fix repacking of JAR files if said archive contains filenames with spaces
- Resolves: #243157.

* Wed Sep 17 2008 Jon Masters <jcm@redhat.com> - 8.0.45-26
- Fix kernel_module_package -v/-r macros.
- Resolves: #252188.
- Fix handling of zero sized JAR files.
- Resolves: #269481.

* Thu Jan 17 2008 Jon Masters <jcm@redhat.com> - 8.0.45-24
- Fix use of TMPDIR to JTMPDIR in order to avoid conflict with mktemp use.
- Resolves: #244899.
- Set PKG_CONFIG_PATH in %__pre_build.
- Resolves: #251922.

* Mon Jun 18 2007 Jon Masters <jcm@redhat.com> - 8.0.45-22
- Add firmware provides to RPMs.
- Related: #213318.

* Wed Jun  6 2007 Jon Masters <jcm@redhat.com> - 8.0.45-20
- Add modalias tags to kmod RPMs.
- Resolves: #236160.

* Wed Jun  6 2007 Jon Masters <jcm@redhat.com> - 8.0.45-19
- Update to latest internal release of kmodtool.
- Resolves: #225584.

* Wed Mar 28 2007 Ben Konrath <bkonrath@redhat.com> 8.0.45-18
- Update brp-java-repack-jars to fix issue with tomcat.
- Resolves: #227721

* Mon Dec 11 2006 Jon Masters <jcm@redhat.com> - 8.0.45-17
- Cleaned up logic for (hopefully correct) selection of kernel varients.
- Resolves: #214436

* Thu Nov 30 2006 Jon Masters <jcm@redhat.com> - 8.0.45-16
- Removed automatic use of a non-present smp kernel on RHEL5.
- Revolves: #214436

* Thu Nov 30 2006 Jon Masters <jcm@redhat.com> - 8.0.45-14
- Removed noisy macros.orig file caused by fuzzed patch. Rediffed.
- Resolves: #213462

* Wed Oct 18 2006 Jon Masters <jcm@redhat.com> - 8.0.45-13
- Updated kernel_module_package macro, kmodtool.

* Tue Oct 17 2006 Jon Masters <jcm@redhat.com> - 8.0.45-11
- Updated kernel_module_package macro.

* Mon Oct 16 2006 Jon Masters <jcm@redhat.com> - 8.0.45-10
- Added kmodtool and early release of kernel_module_package macro.

* Thu Oct 12 2006 Jon Masters <jcm@redhat.com> - 8.0.45-8
- Added patch for find-requires. Waiting on write access to public CVS.

* Tue Sep 12 2006 Deepak Bhole <dbhole@redhat.com> - 8.0.45-6
- Fix brp-java-repack-jars to work with builddirs that aren't %name-%version

* Mon Sep 11 2006 Fernando Nasser <fnasser@redhat.com> - 8.0.45-5
- Fix order of tokens in find command (thanks mikeb@redhat.com)

* Thu Sep  7 2006 Ben Konrath <bkonrath@redhat.com> - 8.0.45-4
- Fix bug in repack jars script. 

* Wed Sep  6 2006 Jeremy Katz <katzj@redhat.com> - 8.0.45-3
- path fix

* Tue Sep  5 2006 Jeremy Katz <katzj@redhat.com> - 8.0.45-2
- Add script from Ben Konrath <bkonrath@redhat.com> to repack jars to 
  avoid multilib conflicts

* Sun Jul 30 2006 Jon Masters <jcm@redhat.com> - 8.0.45-1
- Fix inverted kernel test.

* Sun Jul 30 2006 Jon Masters <jcm@redhat.com> - 8.0.44-1
- Add a better check for a kernel vs. kmod.

* Thu Jun 15 2006 Jon Masters <jcm@redhat.com> - 8.0.43-1
- Workaround bug in find-requires/find-provides for kmods.

* Thu Jun 15 2006 Jon Masters <jcm@redhat.com> - 8.0.42-1
- Fix a typo in KMP find-requires.

* Tue Jun 13 2006 Jon Masters <jcm@redhat.com> - 8.0.41-1
- Add support for KMP Fedora Extras packaging.

* Fri Feb  3 2006 Jeremy Katz <katzj@redhat.com> - 8.0.40-1
- use -mtune=generic for x86 and x86_64

* Tue Aug 16 2005 Elliot Lee <sopwith@redhat.com> - 8.0.39-1
- Fix #165416

* Mon Aug 01 2005 Elliot Lee <sopwith@redhat.com> - 8.0.38-1
- Add -Wall into cflags

* Mon Aug 01 2005 Elliot Lee <sopwith@redhat.com> - 8.0.37-1
- Patch from Uli: enable stack protector, fix sparc & ppc cflags

* Thu Jun 16 2005 Elliot Lee <sopwith@redhat.com> - 8.0.36-1
- Fix the fix

* Wed Apr  6 2005 Elliot Lee <sopwith@redhat.com> - 8.0.35-1
- Fix #129025 (enable python byte compilation)

* Wed Mar 23 2005 Elliot Lee <sopwith@redhat.com> 8.0.34-1
- Bug fixes
- Cflags change by drepper

* Wed Feb 9 2005 Elliot Lee <sopwith@redhat.com> 8.0.33-1
- Change -D to -Wp,-D to make java happy
- Add -D_FORTIFY_SOURCE=2 to global cflags (as per Jakub & Arjan's request)

* Fri Oct  1 2004 Bill Nottingham <notting@redhat.com> 8.0.32-1
- allow all symbol versioning in find_requires - matches RPM internal
  behavior

* Mon Jun 28 2004 Elliot Lee <sopwith@redhat.com> 8.0.31-1
- Add ppc8[25]60 to rpmrc optflags

* Fri Jun 25 2004 Elliot Lee <sopwith@redhat.com> 8.0.29-1
- rpmrc patch from jakub to change optflags.

* Wed Sep 17 2003 Elliot Lee <sopwith@redhat.com> 8.0.28-1
- Change brp-compress to pass -n flag to gzip (per msw's request)

* Tue Jul 15 2003 Elliot Lee <sopwith@redhat.com> 8.0.27-1
- Fix broken configure macro find for config.guess/config.sub
- Put host/target/build back for now

* Mon Jul  7 2003 Jens Petersen <petersen@redhat.com> - 8.0.26-1
- preserve the vendor field when VENDOR not set
- put VENDOR in the final i386-libc line, not the tentative one

* Mon Jul  7 2003 Jens Petersen <petersen@redhat.com> - 8.0.25-1
- update config.{guess,sub} to 2003-06-17
- define VENDOR to be redhat only when /etc/redhat-release present
  [suggested by jbj]
- put VENDOR in vendor field in our config.guess file for
  ia64, ppc, ppc64, s390, s390x, x86_64 and elf32-i386 Linux
- drop the --host, --build, --target and --program-prefix configure options
  from %%configure, since this causes far too many problems

* Fri May  2 2003 Jens Petersen <petersen@redhat.com> - 8.0.24-3
- make config.{guess,sub} executable

* Thu May  1 2003 Jens Petersen <petersen@redhat.com> - 8.0.22-2
- add config.guess and config.sub (2003-02-22) with s390 patch on config.sub
- make %%configure use them

* Mon Mar 03 2003 Elliot Lee <sopwith@redhat.com>
- Unset $DISPLAY in macros

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com> 8.0.21-1
- Just turn on -g unconditionally for now

* Thu Feb 13 2003 Elliot Lee <sopwith@redhat.com> 8.0.20-1
- Reorganize rpmrc/macros to set cflags in a nicer manner.

* Wed Jan 22 2003 Elliot Lee <sopwith@redhat.com> 8.0.19-1
- Disable brp-implant-ident-static until it works everywhere

* Thu Jan 16 2003 Nalin Dahyabhai <nalin@redhat.com> 8.0.18-1
- add brp-implant-ident-static, which requires mktemp

* Thu Jan  9 2003 Bill Nottingham <notting@redhat.com> 8.0.17-1
- add brp-strip-static-archive from rpm-4.2-0.54

* Tue Dec 17 2002 Bill Nottingham <notting@redhat.com> 8.0.16-1
- make -g in rpmrc conditional on debug_package

* Mon Dec 16 2002 Elliot Lee <sopwith@redhat.com> 8.0.15-1
- Rename -debug subpackages to -debuginfo

* Sat Dec 14 2002 Tim Powers <timp@redhat.com> 8.0.14-1
- tweak debug package stuff so that we are overloading %%install
  instead of %%post

* Sat Dec 14 2002 Tim Powers <timp@redhat.com> 8.0.13-1
- turn on internal rpm dep generation by default

* Fri Dec 13 2002 Elliot Lee <sopwith@redhat.com> 8.0.12-1
- New release with debug packages on

* Tue Dec  3 2002 Bill Nottingham <notting@redhat.com> 8.0.8-1
- turn debug packages off
- override optflags with no -g

* Fri Nov 22 2002 Elliot Lee <sopwith@redhat.com> 8.0.7-1
- turn on debug packages

* Thu Nov 21 2002 Elliot Lee <sopwith@redhat.com> 8.0.6-1
- Pass __strip and __objdump macros

* Thu Nov 21 2002 Elliot Lee <sopwith@redhat.com> 8.0.5-1
- Update macros to specify find-provides/find-requires

* Thu Oct 31 2002 Elliot Lee <sopwith@redhat.com> 8.0.4-1
- Remove tracking dependency

* Wed Oct 16 2002 Phil Knirsch <pknirsch@redhat.com> 8.0.3-2
- Added fix for outdated config.[sub|guess] files in %configure section

* Wed Oct 16 2002 Elliot Lee <sopwith@redhat.com> 8.0.3-1
- New release that blows up on unpackaged files and missing doc files.

* Thu Oct  3 2002 Jeremy Katz <katzj@redhat.com> 8.0.2
- don't redefine everything in macros, just what we need to

* Mon Sep 16 2002 Alexander Larsson <alexl@redhat.com> 8.0.1
- Add debug package support to %__spec_install_post

* Tue Sep  3 2002 Bill Nottingham <notting@redhat.com> 8.0-1
- bump version

* Wed Aug 28 2002 Elliot Lee <sopwith@redhat.com> 7.3.94-1
- Update macrofiles

* Wed Jul 31 2002 Elliot Lee <sopwith@redhat.com> 7.3.93-1
- Add _unpackaged_files_terminate_build and 
_missing_doc_files_terminate_build to macros

* Thu Jul 11 2002 Elliot Lee <sopwith@redhat.com> 7.3.92-6
- find-lang.sh fix from 67368
- find-requires fix from 67325

* Thu Jul 11 2002 Elliot Lee <sopwith@redhat.com> 7.3.92-5
- Add /etc/rpm/macros back to make #67951 go away

* Wed Jun 26 2002 Jens Petersen <petersen@redhat.com> 7.3.92-4
- fix %%configure targeting for autoconf-2.5x (#58468)
- include ~/.rpmmacros in macrofiles file path again

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 7.3.92-3
- automated rebuild

* Fri Jun 21 2002 Elliot Lee <sopwith@redhat.com> 7.3.92-2
- Don't define _arch

* Thu Jun 20 2002 Elliot Lee <sopwith@redhat.com> 7.3.92-1
- find-lang error detection from Havoc

* Wed Jun 12 2002 Elliot Lee <sopwith@redhat.com> 7.3.91-1
- Update

* Sun Jun  9 2002 Jeff Johnson <jbj@redhat.com>
- create.
